MPSTAT(1)

NOM
mpstat – Statistiques à propos des processeurs

SYNOPSIS
mpstat [-A] [--dec={0|1|2}] [-H] [-n] [-u] [-T] [-V] [-I {mot_clé[,...]|ALL}] [-N {liste_nœuds|ALL}] [-o JSON] [-P {liste_cpu|ALL}] [intervalle[itérations]]

DESCRIPTION
La commande mpstat affiche sur la sortie standard les activités de chaque processeur, le processeur 0 étant le premier. Les activités moyennes pour l’ensemble des processeurs sont aussi affichées. La commande mpstat peut être utilisée sur les machines SMP et UP (uniprocesseur), mais pour ces dernières, seules les activités moyennes globales sont affichées. Si aucune activité n’est choisie, alors le rapport par défaut est celui de l’utilisation du CPU.

Le paramètre intervalle indique la durée en secondes entre chaque rapport. Une valeur 0 (ou aucun paramètre) indique que les statistiques des processeurs affichées seront celles pour la durée depuis l’amorçage du système (boot). Le paramètre itérations peut être indiqué avec le paramètre intervalle si celui-ci n’est pas réglé à 0. La valeur itérations détermine le nombre de rapports générés à intervalle secondes. Si le paramètre intervalle est spécifié sans le paramètre itérations, la commande mpstat génère des rapports continument.

OPTIONS

-A  Cette option équivaut à spécifier -n -u -I ALL. Elle implique aussi la spécification de -N ALL -P ALL, à moins que ces options ne soient définies sur la ligne de commande.

--dec={ 0 | 1 | 2 }
    Indication du nombre de décimales à utiliser (0 à 2, par défaut 2).

-H  Détecter et afficher aussi les statistiques pour les vCPU branchés physiquement à chaud.

-I {mot_clé[,...]|ALL}
    Afficher les statistiques d’interruptions. Les mot_clé possibles sont CPU, SCPU et SUM.

    Avec le mot-clé CPU, le nombre d’interruptions individuelles reçues par seconde et par CPU est affiché. Les interruptions sont celles listées dans le fichier /proc/interrupts.

    Avec le mot-clé SCPU, le nombre d’interruptions individuelles logicielles par seconde et par CPU est affiché. Cette option ne fonctionne que pour les noyaux 2.6.31 et postérieurs. Les interruptions logicielles sont celles listées dans le fichier /proc/softirqs.

    Avec le mot-clé SUM, la commande mpstat affiche le nombre total d’interruptions par processeur. Les valeurs suivantes sont affichées :

    CPU Le numéro de processeur. Le mot-clé all indique que les statistiques sont calculées sous forme de moyennes pour l’ensemble des processeurs.

    intr/s
        Affichage du nombre total d’interruptions par seconde pour tous les CPU.

    Le mot-clé ALL équivaut à spécifier toutes les options ci-dessus et, par conséquent, toutes les statistiques d’interruptions sont affichées.

-N {liste_nœuds|ALL}
    Indiquer les nœuds NUMA dont les statistiques doivent être affichées. liste_nœuds est une liste de valeurs ou de plages de valeurs, séparées par des virgules (par exemple, 0,2,4-7,12-). Remarquez que pour le nœud all c’est la moyenne globale pour l’ensemble des nœuds. Le mot-clé ALL indique que les statistiques doivent être affichées pour tous les nœuds.

-n  Afficher les statistiques succinctes de CPU basées sur le placement des nœuds NUMA. Les valeurs suivantes sont affichées :

    NODE
        Numéro de nœud NUMA logique. Le mot-clé all indique que les statistiques sont calculées sous forme de moyennes pour l’ensemble des nœuds.

    Tous les autres champs sont les mêmes que ceux affichés avec l’option -u (voir ci-après).

-o JSON
    Affichage des statistiques au format JSON (JavaScript Object Notation). L’ordre des champs dans une sortie JSON est indéterminé et de nouveaux champs pourront être ajoutés dans le futur.

-P {liste_cpu|ALL}
    Indiquer les processeurs dont les statistiques doivent être affichées. liste_cpu est une liste de valeurs ou de plages de valeurs, séparées par des virgules (par exemple, 0,2,4-7,12-). Remarquez que le processeur 0 est le premier processeur, et que pour le processeur all, c’est la valeur moyenne globale pour l’ensemble des processeurs. Le mot-clé ALL indique que les statistiques doivent être affichées pour tous les processeurs. Les processeurs « hors-ligne » ne sont pas affichés.

-T  Afficher des éléments de topologie dans le rapport de CPU (voir l’option -u ci-après). Les éléments suivants sont affichés :

    CORE
        Numéro de cœur logique.

    SOCK
        Numéro de socket logique.

    NODE
        Numéro de nœud NUMA logique.

-u  Afficher l’utilisation du CPU. Les valeurs suivantes sont affichées :

    CPU Numéro du processeur. Le mot-clé all indique que les statistiques sont calculées sous forme de moyennes pour l’ensemble des processeurs.

    %usr
        Afficher le pourcentage d’utilisation de CPU lors de l’exécution au niveau utilisateur (application).

    %nice
        Afficher le pourcentage d’utilisation de CPU lors de l’exécution au niveau utilisateur avec la priorité « nice ».

    %sys
        Afficher le pourcentage d’utilisation de CPU lors de l’exécution au niveau système (noyau). Remarquez que cela n’inclut pas le temps passé à gérer les interruptions matérielles et logicielles.

    %iowait
        Afficher le pourcentage du temps durant lequel le(s) CPU étaient inactifs lorsque le système avait une requête d’E/S de disque en suspens.

    %irq
        Afficher le pourcentage du temps passé par le(s) CPU pour gérer les interruptions matérielles.

    %soft
        Afficher le pourcentage du temps passé par le(s) CPU pour gérer les interruptions logicielles.

    %steal
        Afficher le pourcentage du temps passé à des attentes involontaires par le(s) CPU virtuel(s) pendant que l’hyperviseur gérait un autre processeur virtuel.

    %guest
        Afficher le pourcentage du temps passé par le(s) CPU pour l’exécution d’un processeur virtuel.

    %gnice
        Afficher le pourcentage du temps passé par le(s) CPU pour exécuter un invité « nice ».

    %idle
        Afficher le pourcentage du temps durant lequel le(s) CPU étaient inactifs et que le système n’avait pas de requête d’E/S de disque en suspens.

-V  Afficher la version puis quitter.

ENVIRONNEMENT
La commande mpstat tient compte des variables d’environnement suivantes :

S_COLORS
    Par défaut, les statistiques sont affichées en couleurs quand la sortie est connectée à un terminal. Cette variable peut être utilisée pour modifier ce comportement. Les valeurs possibles sont never, always ou auto (cette dernière est équivalente au comportement par défaut).
    Remarquez que la couleur (rouge, jaune ou autre) utilisée pour afficher une valeur n’est aucunement l’indication d’un problème quelconque associé à la couleur. Ces couleurs indiquent seulement différentes plages de valeurs.

S_COLORS_SGR
    Indication des couleurs et autres attributs utilisés pour afficher les statistiques sur le terminal. Sa valeur est une liste de capacités séparées par des deux-points et sa valeur par défaut est I=32;22:N=34;1:W=35;1:X=31;1:Z=34;22. Les capacités prises en charge sont :

    I=  sous-chaine SGR (Select Graphic Rendition) pour les numéros de CPU.

    N=  sous-chaine SGR pour les valeurs non nulles de statistiques

    W= (ou M=)
        sous-chaine SGR pour les valeurs de pourcentage dans la plage 75 % à 90 % (ou dans la plage 10 % à 25 % selon la signification des mesures).

    X= (ou H=)
        sous-chaine SGR pour les valeurs de pourcentage supérieures à 90 % (ou inférieures ou égales à 10 % selon la signification des mesures).

    Z=  sous-chaine SGR pour les valeurs nulles.

S_TIME_FORMAT
    Si cette variable est définie et que sa valeur est ISO, alors les paramètres régionaux actuels sont ignorés lors de l’affichage de la date dans l’entête du rapport. La commande mpstat utilise alors le format ISO 8601 (AAAA-MM-JJ). L’horodatage affiché est aussi conforme à la norme ISO 8601.

EXEMPLES

mpstat 2 5
    Affichage de cinq rapports de statistiques globales pour l’ensemble des processeurs à des intervalles de deux secondes.

mpstat -P ALL 2 5
    Affichage de cinq rapports de statistiques pour tous les processeurs à des intervalles de deux secondes.

BOGUES
Le système de fichiers /proc doit être monté pour que la commande mpstat puisse œuvrer.

FICHIERS
/proc contient divers fichiers avec des statistiques du système.

AUTEUR
Sebastien Godard (sysstat <at> orange.fr)

VOIR AUSSI
sar(1), pidstat(1), iostat(1), vmstat(8)

https://github.com/sysstat/sysstat
https://sysstat.github.io/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.